<?php
/*	=====================================================
	backend_comment, Version 1.04.000
	=====================================================

$module_directory     = 'backend_comment';
$module_name          = 'Backend comment';
$module_function      = 'page';
$module_version       = '1.04.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'define backend comments like todo etc';
$module_guid          = 'd629e71a-0fa3-44fe-9180-68101fbcaef6';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/modules/backend_comment.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059';

=====================================================

INTRO
==================================

Ein Modul für das LEPTON CMS.

Dieses Modul erlaubt dir Kommentare innerhalb Backend Seiten zu definieren,
ohne Befürchtungen, das diese Kommentare im Frontend sichtbar sind.

Die Kommentare können mit einem Typ klassifiziert werden.
Auch kann die Sichtbarkeit innerhalb des Backends definiert werden
(Privat-User, Privat-Group, Public).

Beachte bitte das der Administrator sowie alle Benutzer in der Administrator Gruppe alle
Kommentare - auch die mit der Sichtbarkeit PRIVAT - angezeigt bekommt.

Ebenso wichtig: Wer einen Kommentar sieht kann ihn auch bearbeiten und löschen!

Dieses Modul unterstützt das Modul "lib_logger" und kann damit verschiedene
Fehler, Aktivitäten und SQLs in einer Datenbank Tabelle speichern und im Modul
"logger" anzeigen.
Die Module "lib_logger" und "logger" sind optional und für den
Betrieb dieses Modules nicht zwingend.

Dieses Modul unterstützt das Modul "lib_dependency" zur Sicherstellung von
Abhängigkeiten während einer De-Installation.
Das Modul "lib_dependency" ist optional und für den Betrieb dieses Modules nicht
zwingend.
Das Modul kann auch nachträglich installiert werden, vorhandene Abhängigkeiten
werden semi-automatisch eingetragen (register_dependency.php).
Siehe auch die README.de.txt Datei von "lib_dependency" für weitere Informationen.

PRE-REQUIREMENTS
==================================
>=       2.2 : LEPTON_VERSION
>=       5.6 : PHP_VERSION
>=  1.04.000 : WB_ADDONS[ 'lib_setuphelper' ]
>=  1.24.0.0 : WB_ADDONS[ 'lib_twig' ]
>=  0.03.001 : WB_ADDONS[ 'lib_dependency' ] (optional)
>=  0.05.002 : WB_ADDONS[ 'lib_logger' ] (optional)

INSTALLATION
==================================

1. Lade die letzte Version von
	http://www.lepton-cms.com/lepador/modules/backend_comment.php
2. Melde dich im Lepton CMS Backend an
3. Gehe zu Erweiterungen -> Module
4. Im Block "Modul installieren", wähle die im Schritt 1 heruntergeladene
	backend_comment ZIP Datei, dann klicke auf den "Installieren" Button.


DE-INSTALLATION
==================================

1. Melde dich im Lepton CMS Backend an
2. Gehe zu Erweiterungen -> Module
3. Im Block "Modul deinstallieren", wähle das Modul "backend_comment",
	dann klicke auf den "Deinstallieren" Button.

BENUTZUNG VON backend_comment
==================================

Erstelle einen neuen Abschnitt auf einer Seite deiner Wahl mit "Art" = "backend_comment".

Erfasse einen neuen Kommentar oder bearbeite einen bestehenden.

Mittels drag&drop kannst du die bestehenden Kommentare auch sortieren.


Neue Kommentar Typen hinzuzufügen ist einfach.
Siehe Beispiel im Modul Verzeichnis "backend_theme".
Du findest das Unterverzeichnis "backend" auch in deinem Backend Theme,
normalerweise "algos".
Kopiere nun das Unterverzeichnis "backend_comment" in das Verzeichnis "backend" in
deinem Backend Theme.
Gehst du nun auf die Seite mit einem Abschnitt dieses Moduls, hast du den neuen Typ "PRIVAT".

Adaptiere nun die kopierten Dateien im Backend Theme analog deinen Bedürfnissen.



BENUTZUNG VON lib_dependency
==================================

Beachte bitte das diese Funktion nur verfügbar ist, wenn das Modul "lib_dependency"
installiert ist!

Während der normalen Benutzung des Moduls "backend_comment" wird man nichts vom
Modul "lib_dependency" bemerken.

Nur in den folgenden Situationen macht sich "lib_dependency" bemerkbar:
- wenn jemand versucht, eine als abhängig registriertes Modul von "backend_comment"
zu De-Installieren, erscheint eine Fehlermeldung und die De-Installation des abhängigen
Moduls wird abgebrochen ("backend_comment" ist "Eltern-Modul").
- wenn jemand versucht, "backend_comment" zu De-Installieren und "backend_comment"
ist eine registrierte Abhängigkeit eines anderen Moduls, erscheint eine Fehlermeldung
und die De-Installation von "backend_comment" wird abgebrochen
("backend_comment" ist "Kind-Modul").

EIGENE ERWEITERUNGEN
===========================

Dieses Modul wurde so entwickelt, das es durch den System-Administrator an verschiedenen
Punkten erweitert werden kann, ohne im Modul selbst Aenderungen vorzunehmen und dadurch
die Aenderungen bei einem allfälligen Update zu verlieren.
Hier nachfolgend die Punkte und Dateien:

Benutze Variablen:
- {LEPTON_PATH}   = der LEPTON CMS Installations Pfad
- {DEFAULT_THEME} = das verwendete Backend Theme
- {TEMPLATE}      = das verwendete Frontend Template
- {COMPONENT}     = der Komponenten Name, z.B. "modify_optionizer"
- {LANGUAGE}      = der momentan verwendete Sprachcode, in Grossbuchstaben

- {BACKEND_PATH}  = {LEPTON_PATH}/templates/{DEFAULT_THEME}/backend/backend_comment
- {FRONTEND_PATH} = {LEPTON_PATH}/templates/{TEMPLATE}/frontend/backend_comment


Für das Backend:
- {BACKEND_PATH}/backend.css
	>> hier kann das verwendete Standard Style überschrieben werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {BACKEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/templates/backend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';

Für das Frontend:
- {FRONTEND_PATH}/frontend.css
	>> hier kann das verwendete Standard Style überschrieben werden
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {FRONTEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/templates/frontend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';



WEITERE DOKUMENTATION
===========================

Weitere Informationen zu diesem Modul findet sich im LEPTON CMS Forum
http://forum.lepton-cms.org/index.php

!! Beachtet bitte das das Forum nur in englischer Sprache geführt wird !!


Enjoy!
*/
?>
