<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/*	**************************************
	*
	* define array with table definitions and activities to be done in
	* - install.php
	* - upgrade.php
	* - uninstall.php
	* - add.php
	* - delete.php
	*
	**************************************
*/

// init array
	$module_DB_setup = array();


/* ==================================================================================
 * For a description of this array and the possibilities, see
 * LEPTON_PATH . '/modules/lib_setuphelper/examples/_setup.php'
 * ==================================================================================
 */

/*	**************************************
	*
	* module table: mod_backend_comment
	*
	**************************************
*/
	$table = TABLE_PREFIX . 'mod_backend_comment';
	$module_DB_setup[ $table ][ 'index' ][]		= 'PRIMARY KEY (`comment_id`)';
	$module_DB_setup[ $table ][ 'options' ][]	= 'COMMENT "comments for backend"';
	$module_DB_setup[ $table ][ 'fields' ]		= array(
			array(
				  'Field'	=> 'comment_id'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				, 'Key'		=> 'PRI'
				, 'Options'	=> 'COMMENT "Primary Key"'
				, 'Extra'	=> 'AUTO_INCREMENT'
				)
			, array(
				  'Field'	=> 'page_id'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				)
			, array(
				  'Field'	=> 'section_id'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				)
			, array(
				  'Field'	=> 'created_when'
				, 'Type'	=> 'TIMESTAMP'
				, 'Null'	=> 'NO'
				, 'Default'	=> '"0000-00-00 00:00:00"'
				, 'Convert' => array( 'Source' => 'created_when', 'onType' => 'int(11)', 'Rule' => 'FROM_UNIXTIME(`created_when`)' )
				)
			, array(
				  'Field'	=> 'created_by'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				, 'Default'	=> '0'
				)
			, array(
				  'Field'	=> 'modified_when'
				, 'Type'	=> 'TIMESTAMP'
				, 'Null'	=> 'NO'
				, 'Default'	=> 'CURRENT_TIMESTAMP'
				, 'Extra'	=> 'ON UPDATE CURRENT_TIMESTAMP'
				, 'Convert' => array( 'Source' => 'modified_when', 'onType' => 'int(11)', 'Rule' => 'FROM_UNIXTIME(`modified_when`)' )
				)
			, array(
				  'Field'	=> 'modified_by'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				, 'Default'	=> '0'
				)
			, array(
				  'Field'	=> 'version_number'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				, 'Default'	=> '0'
				)
			, array(
				  'Field'	=> 'status'
				, 'Type'	=> 'VARCHAR(255)'
				)
			, array(
				  'Field'	=> 'position'
				, 'Type'	=> 'INT(11)'
				, 'Null'	=> 'NO'
				, 'Default'	=> '0'
				)
			, array(
				  'Field'	=> 'comment_type'
				, 'Type'	=> 'VARCHAR(255)'
				)
			, array(
				  'Field'	=> 'visibility'
				, 'Type'	=> 'VARCHAR(255)'
				)
			, array(
				  'Field'	=> 'comment'
				, 'Type'	=> 'TEXT'
				)
		);

	$module_DB_setup[ 'INSTALL' ][ $table ][ 'DO' ]			= TRUE;

	$module_DB_setup[ 'UPGRADE' ][ $table ][ 'DO' ]			= TRUE;

	$module_DB_setup[ 'UNINSTALL' ][ $table ][ 'DO' ]		= TRUE;

	$module_DB_setup[ 'DELETE' ][ $table ][ 'DO' ][]		= array( 'WHERE'	=> array(
													  'section_id' => '#SECTION_ID#'
													)
												);


?>
