<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/*
 * Ajax call: save drag & drop data sort
*/

// check input
	$inputs = array();
	$inputs[ 'action' ]			= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1, 'allowed' => array('updateRecordsListings') );
	$inputs[ 'recordsArray' ]	= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'row_key' ]		= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'leptoken' ]		= array( 'filter' => FILTER_SANITIZE_STRING );

// set $module as current module
	$comment_module = 'backend_comment';

// set processing initials
	$comment_component = basename( __FILE__, '.php' );
	$comment_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// Include admin class script
	include( LEPTON_PATH . '/framework/class.admin.php');
	$admin = new admin( 'Dialog', 'start', false, false );

// include the basic files at start
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $comment_modulePath . 'register_initial.php' );
	include( $comment_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $comment_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $comment_modulePath . 'lib/lib.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.config.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.config.' . $comment_component . '.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.config.' . $comment_component . '.php';
	// include basic functions
	$includes[]	= $comment_templatePath . 'lib/lib.backend.functions.' . $comment_component . '.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.functions.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.functions.' . $comment_component . '.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.functions.php';
	// do include
	include( $comment_modulePath . 'load_includes.php' );

	// initialize data variable
	$data = array();

// assign default type used in language files
	$type = $comment_component;

// initialize messages shown in dialog
	$messages = array();

// initialize data variable
	$data = array();

// init ajax output
	$comment_response = '';

// do input validation
	if ( $_SERVER["REQUEST_METHOD"] == 'POST' ):
		$error = comment_input_filter( 'POST', $_POST, $inputs );
	else:
		$error = comment_input_filter( 'GET', $_GET, $inputs );
	endif;
	if ( $error != 0 ):
		$status = FALSE;
		$messages['ERROR'][] = $MOD_BACKEND_COMMENT['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		unset( $inputs );

	else:
		// save input into local vars
		$action			= $inputs[ 'action' ][ 'value' ];
		$leptoken		= $inputs[ 'leptoken' ][ 'value' ];
		$row_key		= $inputs[ 'row_key' ][ 'value' ];
		$updateRecordsArray = explode( '&', str_replace( 'recordsArray[]=', '', $inputs['recordsArray'][ 'value' ] ));

		unset( $inputs );

		// initialize status
		$status = TRUE;

		// prepare SQL
			// no data access here

		// data manipulation
		// include data manipulation files
		$includes[]	= $comment_modulePath . 'lib/lib.data.php';
		$includes[]	= $comment_templatePath . 'lib/lib.data.php';
		$includes[]	= $comment_modulePath . 'lib/lib.data.' . $comment_component . '.php';
		$includes[]	= $comment_templatePath . 'lib/lib.data.' . $comment_component . '.php';
		include( $comment_modulePath . 'load_includes.php' );
	endif;

// start output buffer
	$buffer = TRUE;

// twig processing
		// include template engine files
		global $parser, $loader;
		$includes[]	= $comment_modulePath . 'lib/lib.twig.formvalues.php' ;				// initial setting of formvalues
		$includes[]	= $comment_modulePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $comment_templatePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $comment_modulePath . 'lib/lib.twig.' . $comment_component . '.php' ;		// component specific formvalues
		$includes[]	= $comment_templatePath . 'lib/lib.twig.' . $comment_component . '.php' ;	// local enhancements of formvalues
		$includes[]	= array( 'LOADER'=> 'require_once', 'FILE' => $comment_modulePath . 'register_parser.php' );
		include( $comment_modulePath . 'load_includes.php' );

		// check if twig template is defined
		if ( isset( $twigTemplate ) == FALSE ):
			// define default twig template
			$twigTemplate =  $comment_component . '.lte';
		endif;

		// process page
		$twig_util->resolve_path( $twigTemplate );

		// buffer output
		if ( isset( $buffer ) == TRUE ):
			// start output buffer
			ob_start();
		endif;

		echo $parser->render(
			$twig_modul_namespace . $twigTemplate,
			$form_values
		);

// get output buffer content
	$comment_response = ob_get_contents();

// clear & end output buffer
	ob_end_clean();

	// output
	if ( $status == TRUE ):
		$status = 1;
	else:
		$status = -1;
	endif;
	echo json_encode( array( 'status' => $status, 'data' => $data, 'ResponseText' => $comment_response ) );
	return true;
?>
