<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// check input
	$inputs = array();
	$inputs[ 'module' ]				= array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH, 'required' => 1, 'allowed' => array( 'backend_comment' ) );
	$inputs[ 'page_id' ]			= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'required' => 1 );
	$inputs[ 'section_id' ]			= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'required' => 1 );
	$inputs[ 'save_target' ]		= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'comment_id' ]			= array( 'filter' => FILTER_SANITIZE_NUMBER_INT );
	$inputs[ 'comment_type' ]		= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'visibility' ]			= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'comment' ]			= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'leptoken' ]			= array( 'filter' => FILTER_SANITIZE_STRING );

// Tells script to update when this page was last updated
	$update_when_modified = true;

// set $module as current module
	$comment_module = 'backend_comment';

// set processing initials
	unset( $twigTemplate );
	$comment_component = basename( __FILE__, '.php' );
	$comment_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// set the additional component for language reqistry
	$comment_componentLang = 'modify';

// include the basic files at start
	// Include admin wrapper script
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => LEPTON_PATH . '/modules/admin.php' );
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $comment_modulePath . 'register_initial.php' );
	include( $comment_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $comment_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $comment_modulePath . 'lib/lib.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.config.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.config.' . $comment_component . '.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.config.' . $comment_component . '.php';
	// include basic functions
	$includes[]	= $comment_templatePath . 'lib/lib.backend.functions.' . $comment_component . '.php';
	$includes[]	= $comment_templatePath . 'lib/lib.backend.functions.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.functions.' . $comment_component . '.php';
	$includes[]	= $comment_modulePath . 'lib/lib.backend.functions.php';
	// do include
	include( $comment_modulePath . 'load_includes.php' );

	// initialize data variable
	$data = array();

	// do input validation
	$error = comment_input_filter( 'POST', $_POST, $inputs );
	$comment_status = '';
	if ( $error != 0 ):
		$status = FALSE;
		$comment_status = $MOD_BACKEND_COMMENT['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		unset( $inputs );

	else:
		// save input into local vars
		$page_id		= $inputs[ 'page_id' ][ 'value' ];
		$section_id		= $inputs[ 'section_id' ][ 'value' ];
		$save_target	= $inputs[ 'save_target' ][ 'value' ];
		$leptoken		= $inputs[ 'leptoken' ][ 'value' ];
		$data = array();
		$data[ 'comment_id' ]		= $inputs[ 'comment_id' ][ 'value' ];
		$data[ 'comment_type' ]		= $inputs[ 'comment_type' ][ 'value' ];
		$data[ 'visibility' ]		= $inputs[ 'visibility' ][ 'value' ];
		$data[ 'comment' ]			= $inputs[ 'comment' ][ 'value' ];

		unset( $inputs );

		// save data processing
		// initialize process status
		$status = TRUE;

		// include data save
		if ( $status == TRUE ):
			$includes[]	= $comment_modulePath . '/lib/lib.save.' . $comment_component . '.php';
			$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $comment_modulePath . 'lib/lib.' . $comment_component . '.php' );
			include( $comment_modulePath . 'load_includes.php' );
		endif;

		// saved successfully
		if ( $status == TRUE ):
			if (( isset( $save_anchor )	== TRUE )
			and ( strlen( $save_anchor ) > 0    )):
				$save_target .= '#' . $save_anchor;
			endif;
			$admin->print_success(
						  $MESSAGE['PAGES']['SAVED']
						, $save_target
			);
		endif;
	endif;

// page footer processing
	// an failure occured
	if ( $status != TRUE ):
		$admin->print_error(
					  $comment_status
					, $js_back
		);
	endif;

// Print admin footer
	$admin->print_footer();

?>
